<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Customer;

use FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig;
use Magento\Backend\Block\Template\Context;
use Magento\Customer\Model\Address;
use Magento\Framework\App\ResourceConnection;

/**
 * Class CustomerBillingAddress
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Customer
 */
class CustomerBillingAddress extends AbstractConfig
{
    /**
     * Address Object
     *
     * @var Address
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'customer_billing_address';

    /**
     * @var string
     */
    protected $_type = 'eav';

    /**
     * @var array
     */
    protected $_exclude = ['increment_id','entity_id','entity_type_id','parent_id','attribute_set_id'];

    /**
     * CustomerAttributes constructor.
     * @param Address $address
     * @param Context $context
     * @param ResourceConnection $resourceConnection
     * @param array $data
     */
    public function __construct(
        Address $address,
        Context $context,
        ResourceConnection $resourceConnection,
        array $data = []
    ) {
        $this->_model = $address;
        parent::__construct($context, $resourceConnection, $data);
    }

}
