<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Newsletter;

use FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig;
use Magento\Backend\Block\Template\Context;
use Magento\Framework\App\ResourceConnection;

/**
 * Class Subscriber
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Newsletter
 */
class Subscriber extends AbstractConfig
{

    /**
     * Product Model
     *
     * @var \Magento\Newsletter\Model\Subscriber
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'subscriber';

    /**
     * @var string
     */
    protected $_type = 'flat';

    /**
     * @var array
     */
    protected $_exclude = [];

    /**
     * @var array
     */
    protected $_additionalOptions =  [
        ['value' => 'store_code', 'label' => 'Store Code'],
        ['value' => 'action', 'label' => 'Action'],
        ['value' => 'type', 'label' => 'Type'],
        ['value' => 'subscriber_status_normalized', 'label' => 'Subscriber Status Normalized'],
        ['value' => 'firstname', 'label' => 'Firstname (Newsletter Extension)'],
        ['value' => 'lastname', 'label' => 'Lastname (Newsletter Extension)'],
        ['value' => 'dob', 'label' => 'Date of birth (Newsletter Extension)'],
        ['value' => 'country', 'label' => 'Country (Newsletter Extension)'],
        ['value' => 'source', 'label' => 'Source (Newsletter Extension)'],
        ['value' => 'language', 'label' => 'Language (Newsletter Extension)'],
        ['value' => 'website_name', 'label' => 'Website Name (Newsletter Extension)'],
        ['value' => 'gender', 'label' => 'Gender (Newsletter Extension)'],
        ['value' => 'collections', 'label' => 'Collections (Newsletter Extension)'],
        ['value' => 'birthday', 'label' => 'Birthday (Newsletter Extension)'],
        ['value' => 'created_at', 'label' => 'Created At (Newsletter Extension)'],
        ['value' => 'updated_at', 'label' => 'Updated At (Newsletter Extension)']
    ];

    /**
     * Attributes constructor.
     * @param \Magento\Newsletter\Model\Subscriber $subscriber
     * @param Context $context
     * @param ResourceConnection $resourceConnection
     * @param array $data
     */
    public function __construct(
        \Magento\Newsletter\Model\Subscriber $subscriber,
        Context $context,
        ResourceConnection $resourceConnection,
        array $data = []
    ) {
        $this->_model = $subscriber;
        parent::__construct($context, $resourceConnection, $data);
    }

}
