<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Controller\Adminhtml\Jobs;

/**
 * Class MassUpdate
 * @package FiloBlu\MappConnector\Controller\Adminhtml\Jobs
 */
class MassUpdate extends \Magento\Backend\App\Action
{

    /**
     * @return $this
     * @throws \Magento\Framework\Exception\LocalizedException
     */
    public function execute()
    {
        $objectManager = \Magento\Framework\App\ObjectManager::getInstance();
        $ids = $this->getRequest()->getParam('ids');

        foreach ($ids as $id) {
            $row = $objectManager
                ->get('FiloBlu\MappConnector\Model\Jobs')
                ->load($id);
            $row->setData('status','waiting')
                ->save();
        }

        $this->messageManager->addSuccess(__('A total of %1 record(s) have been as waiting.', count($ids)));

        /** @var \Magento\Backend\Model\View\Result\Redirect $resultRedirect */
        $resultRedirect = $this->resultFactory->create(\Magento\Framework\Controller\ResultFactory::TYPE_REDIRECT);
        return $resultRedirect->setPath('*/*/');
    }
    
}