<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Controller\Adminhtml\Jobs;

use FiloBlu\MappConnector\Model\Jobs;
use Magento\Backend\App\Action;
use Magento\Backend\Model\View\Result\Redirect;
use Magento\Framework\App\ObjectManager;
use Magento\Framework\App\ResponseInterface;
use Magento\Framework\Controller\ResultFactory;
use Magento\Framework\Controller\ResultInterface;

/**
 * Class MassUpdateSuspended
 *
 * @package FiloBlu\MappConnector\Controller\Adminhtml\Jobs
 */
class MassUpdateSuspended extends Action
{
    /**
     * @return Redirect|ResponseInterface|ResultInterface
     */
    public function execute()
    {
        $objectManager = ObjectManager::getInstance();
        $ids = $this->getRequest()->getParam('ids');

        foreach ($ids as $id) {
            $row = $objectManager
                ->get(Jobs::class)
                ->load($id);
            $row->setData('status', 'suspended')
                ->save();
        }

        $this->messageManager->addSuccessMessage(__('A total of %1 record(s) have been as waiting.', count($ids)));

        /** @var Redirect $resultRedirect */
        $resultRedirect = $this->resultFactory->create(ResultFactory::TYPE_REDIRECT);
        return $resultRedirect->setPath('*/*/');
    }
}
