<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Model\From\Entity;

/**
 * Class Quote
 * @package FiloBlu\MappConnector\Model\From\Entity
 */
class Quote extends \FiloBlu\MappConnector\Model\From\Entity\AbstractEntity implements \FiloBlu\MappConnector\Model\From\Entity\EntityInterface
{

    /**
     * Entity
     *
     * @var string
     */
    protected $_entity = 'quote';

    /**
     * Magento Entity Model
     *
     * @var string
     */
    protected $_entityModel = '\Magento\Quote\Model\Quote';

    /**
     * Magento Entity Model Id
     *
     * @var string
     */
    protected $_entityModelPrimary = 'entity_id';

    /**
     * Magento Entity Model Related Id
     *
     * @var string
     */
    protected $_entityModelRelatedPrimary = 'entity_id';

    /**
     * Mapp Resource Model
     *
     * @var string
     */
    protected $_entityMappResource = '\FiloBlu\MappConnector\Model\To\Mapp\FTP';
    //TODO: Verificare Mapp Model

    /**
     * Mapp Resource Model Id
     *
     * @var array
     */
    protected $_entityMappPrimary = ['primaryDB' => 'customer_email', 'primaryMapp' => 'email'];
    //TODO: Verificare Mapp Primary Key

    /**
     * @var string
     */
    protected $_xmlConfigPath = 'mappconnector/quote_mapping/quote';

    /**
     * @return {@inheritDoc}
     */
    public function getObjectData($primary, $id)
    {
        $objectManager = \Magento\Framework\App\ObjectManager::getInstance(); // Instance of object manager
        $resource = $objectManager->get('Magento\Framework\App\ResourceConnection');
        $connection = $resource->getConnection();
        $tableName = $resource->getTableName('quote'); //gives table name with prefix

        // Select Data from table
        $result = $connection->fetchAll("SELECT * FROM {$tableName} WHERE {$primary} = {$id}");

        return $result[0];
    }
}
