<?php

namespace FiloBlu\MappConnector\Plugin\Api;

use Exception;
use Magento\Customer\Api\Data\CustomerInterface;
use Magento\Framework\Event\ManagerInterface;

/**
 * Class AccountManagementInterface
 * @package FiloBlu\MappConnector\Plugin\Api
 */
class AccountManagementInterface
{
    /**
     * @var ManagerInterface
     */
    private $eventManager;

    /**
     * AccountManagementInterface constructor.
     * @param ManagerInterface $eventManager
     */
    public function __construct(
        ManagerInterface $eventManager
    ) {
        $this->eventManager = $eventManager;
    }

    /**
     * @param \Magento\Customer\Api\AccountManagementInterface $subject
     * @param CustomerInterface $result
     * @param CustomerInterface $customer
     * @return mixed
     * @throws Exception
     */
    public function afterCreateAccount($subject, $result, CustomerInterface $customer)
    {
        $this->eventManager->dispatch(
            'customer_register_success',
            [
                'account_controller' => null,
                'customer' => $result
            ]
        );

        return $result;
    }
}
